Main Site Documentation

No update procedure for Raptor Loader?


#1

what is the update procedure for the Raptor Loader(TinyBooter)? The document is gone and marked obsolete: Loader (TinyBooter) Update G400

https://www.ghielectronics.com/docs/236/loader-tinybooter-update-g400


#2

Did you do it for MF 4.3? There is not commandprompt.bat or ProgramG400.bat in the folder that the instructions say to go to for version 4.3


#3

In the batch file, it says
"You must have installed the G400/Hydra Loader Updater
ECHO with our SDK in order for this script to function."
How do I install this?


#4

Ok, plus, is it required to use connect wires on socket 3 and put the board into loader mode?


#5

I get Runtime Error - abnormal program termination from sam-ba.exe

The log says:

-I- Waiting …
-I- TCL platform : Windows NT
-I- SAM-BA 2.12 patch7 on : windows
current connection is \USBserial\COM8, \USBserial\COM8 to be matched

help!


#6

I made it work, thank you. Before, I had both MF 4.2 and SAM-BA installed. After un-installing MF 4.2, SAM-BA was still installed. I installed 4.3, which seems to have messed up SAM-BA. I un-installed SAM-BA and re-installed SAM-BA and this made it work. I think a note should be made about this in the MF 4.3 upgrade procedure.


#7

I have done all of this. I am running win8.1 and i don’t get the files in C:\Program Files (x86)\GHI Electronics\GHI NETMF v4.3 SDK\Firmwares\G400\ I have installed sdk 4.3 and reinstalled it 10 times and the same applies to the sam-ba. I get the folder: C:\Program Files (x86)\Atmel\sam-ba_2.12, but not the files in the “firmware” folder. What to do? When i run the FEZ Config it tells me:

Loader (TinyBooter) version information:
4.3.3.0 on this computer.
4.2.11.1 on this device.

The Loader (TinyBooter) not up to date. <<<

Firmware (TinyCLR) version information:
4.3.3.0 on this computer.
4.3.3.0 on this device.

The Firmware (TinyCLR) is up to date. <<<

Just additional info. :slight_smile: